# -*- mode: ruby -*-
# vi: set ft=ruby :

# Maquina Freipa servidor
Vagrant.configure("2") do |config|
  # Maquina freipa cliente (Debian10)
  config.vm.define "debian1" do |client|
    client.vm.box = "generic/debian10"
    client.vm.provider "virtualbox" do |vb|
      vb.memory = "2000"
      vb.cpus = "2"
    end
    client.vm.hostname = "debian1.edt.edu"
    client.vm.network "private_network", ip: "192.168.56.3"
    client.vm.provision "file", source: "./files/hosts_debian", destination: "/$HOME/"
    client.vm.provision "file", source: "./files/resolv_debian", destination: "/$HOME/"
    client.vm.provision "shell", path: "./startup_debian.sh"
  end
end
